name: Deploy
run-name: ${{ gitea.actor }} build image and push to container registry

on:
  push:
    branches:
      - 'main'
      - 'staging'

jobs:
  CreateImage:
    runs-on: [hubstaging]
    uses: http://gitea.pena/PenaDevops/actions.git/.gitea/workflows/build-image.yml@v1.1.4-p7
    with:
      runner: hubstaging
    secrets:
      REGISTRY_USER: ${{ secrets.REGISTRY_USER }}
      REGISTRY_PASSWORD: ${{ secrets.REGISTRY_PASSWORD }}
  DeployService:
    runs-on: [hubstaging]
    needs: CreateImage
    uses: http://gitea.pena/PenaDevops/actions.git/.gitea/workflows/deploy.yml@v1.1.3
    with:
      runner: hubstaging
      actionid: ${{ gitea.run_id }}
    

